Pepvote Support Center

Get Insights Time Series

GET
/voting-events/{idOrCode}/insights/time-series

Authorization

bearerAuth
AuthorizationBearer <token>

A key in the form pepvote_api_ followed by 32 hexadecimal characters.

In: header

Header Parameters

User-Agentstringrequired

Name and version of the calling integration. Required on every request.

Path Parameters

idOrCodestringrequired

Voting event ID or code.

Query Parameters

granularityenum<string>
  • Default value: "day"
  • Values:day|hour
daystring
  • Pattern: ^[0-9]{4}-[0-9]{2}-[0-9]{2}$

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/voting-events/string/insights/time-series" \  -H "User-Agent: my-app/1.0"
{
  "data": {
    "votingEventId": "string",
    "granularity": "day",
    "day": "string",
    "bucketsTruncated": true,
    "totalVotes": 0,
    "voters": {
      "kind": "exact",
      "count": 0
    },
    "buckets": [
      {
        "bucket": "string",
        "startsAt": 0,
        "voteCount": 0,
        "voters": {
          "kind": "exact",
          "count": 0
        }
      }
    ]
  }
}
{
  "error": {
    "code": "bad_request",
    "message": "string",
    "details": {
      "field": "string",
      "parameter": "string",
      "limit": 0,
      "retryAfterSeconds": 0,
      "feature": "string",
      "plan": "string"
    }
  }
}
{
  "error": {
    "code": "bad_request",
    "message": "string",
    "details": {
      "field": "string",
      "parameter": "string",
      "limit": 0,
      "retryAfterSeconds": 0,
      "feature": "string",
      "plan": "string"
    }
  }
}
Was this helpful?

Last updated September 6, 2026